import { useDataContext } from "../../common/contexts/data_context"
import { useGet } from "../../common/hooks/useGet";

export const useGetInterests = () => {
    const { profileRepository } = useDataContext();
    const callback = async () => {
        return profileRepository!.getInterests();
    };
    const { data: interests, requestStatus } = useGet(callback);

    return { interests, requestStatus };
};